﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using SpeechDemo.Resources;
using Windows.Phone.Speech.VoiceCommands;

namespace SpeechDemo
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();
            SetupVoice();
        }

        public async void SetupVoice()
        {
            await VoiceCommandService.InstallCommandSetsFromFileAsync(new Uri("ms-appx:///VCDFile.xml", UriKind.RelativeOrAbsolute));
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            if (e.NavigationMode == System.Windows.Navigation.NavigationMode.New)
            {
                if (NavigationContext.QueryString.ContainsKey("voiceCommandName")) //voice command in querystring
                {
                    var command = NavigationContext.QueryString["voiceCommandName"]; //voice command in querystring
                    switch (command)
                    {
                        case "ShowMessage": //The name of the VCD-command
                                var phrase = NavigationContext.QueryString["number"]; //get the phrase
                                DemoText.Text = string.Format("ShowMessage command {0} activated", phrase);
                            break;
                        default:
                            DemoText.Text = "Couldn't find the command";
                            break;
                    }
                }
            }
        }
    }
}